petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMLabelGetBounds

Return the smallest and largest point in the label

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetBounds(DMLabel label, PetscInt *pStart, PetscInt *pEnd)

Not collective

### Input Parameter

label -the DMLabel

### Output Parameters

| pStart | - The smallest point
| pEnd | - The largest point + 1

Note: This will compute an index for the label if one does not exist.

### See Also

DMLabelHasPoint(), DMLabelCreateIndex(), DMLabelGetValue(), DMLabelSetValue()

### Level

intermediate

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages